<script setup lang="ts">
import { ref } from 'vue'
import NavigationDrawer from '@/components/NavigationDrawer.vue'
import Product1List from '@/components/Product1List.vue'
import Product2List from '@/components/Product2List.vue'
import Product3List from '@/components/Product3List.vue'
import Product4List from '@/components/Product4List.vue'

const tab = ref(1)
</script>

<template>
  <!-- <NavigationDrawer></NavigationDrawer> -->

  <v-sheet
    style="color: white; min-width: 300px; height: 830px; elevation: 6; background-color: #212121"
  >
    <v-tabs v-model="tab" color="deep-orange-darken-4" align-tabs="center">
      <v-tab :value="1">Hot</v-tab>
      <v-tab :value="2">Iced</v-tab>
      <v-tab :value="3">Frappe</v-tab>
      <v-tab :value="4">Snacks</v-tab>
    </v-tabs>
    <v-window v-model="tab">
      <v-window-item :value="1">
        <Product1List></Product1List>
      </v-window-item>
      <v-window-item :value="2">
        <Product2List></Product2List>
      </v-window-item>
      <v-window-item :value="3">
        <Product3List></Product3List>
      </v-window-item>
      <v-window-item :value="4">
        <Product4List></Product4List>
      </v-window-item>
    </v-window>
  </v-sheet>
</template>
